Subject: Re: Sequoia kernel crash workaround.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 23 Sep 2007 18:21:04 +1000

On Thu, 2007-09-20 at 12:29 -0500, Josh Boyer wrote:
> On Thu, 20 Sep 2007 12:25:06 -0500
> Olof Johansson <[email-masked]> wrote:
> 
> > On Thu, Sep 20, 2007 at 08:56:32PM +0400, Valentine Barshak wrote:
> > >
> > > I was thinking about it. Looks like it's the best place, but the code that 
> > > actually calls setup_cpu is under ifdef CONFIG_PPC64, while lots of 
> > > cpu_setup functions are defined for ppc32 processors.
> > > Is it OK to remove this ifdef, or should I do CONFIG_PPC64 || CONFIG_44x?
> > 
> > Sounds like something that went wrong at the merge of ppc and ppc64.
> > 
> > Take out the ifdef, even if there's fallout we should deal with it
> > instead of adding more complex ifdefs.
> 
> Yeah.  Looks like BenH did this in commit:
> 
> 42c4aaadb737e0e672b3fb86b2c41ff59f0fb8bc
> 
> Ben, any reason you ifdef'd it for ppc64?

I'll have to check on monday what's up there, but isn't setup_cpu called
from a different place on 32 bits? There are some subtle difference with
the way the cpu feature stuff is initialized /done between 32 and 64
bits that we haven't fully reconciled yet. 

Ben.